com.aliyun.svideosdk.common.struct.project

## Class BubbleCaptionTrack

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Track
  - - com.aliyun.svideosdk.common.struct.project.PasterTrack
    - - com.aliyun.svideosdk.common.struct.project.PhotoPasterTrack
      - - com.aliyun.svideosdk.common.struct.project.SubTitleTrack
        - - com.aliyun.svideosdk.common.struct.project.BubbleCaptionTrack

-     public class BubbleCaptionTrack
      extends SubTitleTrack

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.project.PasterTrack

      `PasterTrack.Type`

  - ### Field Summary

    - ### Fields inherited from class com.aliyun.svideosdk.common.struct.project.PhotoPasterTrack

      `mNodeKey`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BubbleCaptionTrack()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getTextCenterX()` Gets the x coordinate of the centroid of the text in the screen coordinate system.
    `float` | `getTextCenterY()` Gets the y coordinate of the centroid of the text in the screen coordinate system.
    `void` | `setTextCenterX(float textCenterX)` Sets the x coordinate of the centroid of the text in the screen coordinate system.
    `void` | `setTextCenterY(float textCenterY)` Sets the y coordinate of the centroid of the text in the screen coordinate system.

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.SubTitleTrack

      `getBackgroundImgPath, getFont, getPreBegin, getPreEnd, getText, getTextAlignment, getTextBackgroundColor, getTextBmpPath, getTextColor, getTextHeight, getTextMaxLines, getTextPaddingX, getTextPaddingY, getTextRotation, getTextSize, getTextStrokeColor, getTextWidth, setBackgroundImgPath, setFont, setPreBegin, setPreEnd, setText, setTextAlignment, setTextBackgroundColor, setTextBmpPath, setTextColor, setTextHeight, setTextMaxLines, setTextPaddingX, setTextPaddingY, setTextRotation, setTextSize, setTextStrokeColor, setTextWidth`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.PhotoPasterTrack

      `getActions, getFrameArray, getHeight, getName, getNodeKey, getRotation, getSource, getTimeArray, getTimelineIn, getTimelineOut, getWidth, getX, getY, isMirror, setFrameArray, setHeight, setMirror, setName, setNodeKey, setRotation, setSource, setTimeArray, setTimelineIn, setTimelineOut, setWidth, setX, setY, toString`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.PasterTrack

      `getType, setType`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.Track

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BubbleCaptionTrack

          public BubbleCaptionTrack()

  - ### Method Detail

    - #### getTextCenterX

          public float getTextCenterX()

      Gets the x coordinate of the centroid of the text in the screen coordinate system.
      Returns:
        x coordinate

    - #### setTextCenterX

          public void setTextCenterX(float textCenterX)

      Sets the x coordinate of the centroid of the text in the screen coordinate system.
      Parameters:
        `textCenterX` - x coordinate

    - #### getTextCenterY

          public float getTextCenterY()

      Gets the y coordinate of the centroid of the text in the screen coordinate system.
      Returns:
        y coordinate

    - #### setTextCenterY

          public void setTextCenterY(float textCenterY)

      Sets the y coordinate of the centroid of the text in the screen coordinate system.
      Parameters:
        `textCenterY` - y coordinate